import  java.io.*;
import  java.util.Scanner;

public class StackArray { 

   static int size = 1000;
   static int count;
   static String [] buffer;

  public static String readInfo () {
    Scanner in = new Scanner(System.in);    
    System.out.print("Insert value: ");
    String info = in.next();
    return info;
  }
 
  public static void init () {
    count=0;
    buffer = new String[size]; 
  }

  public static boolean isEmpty () { 
      return (count == 0);
  }
  
  public static void Push(String info) { 
    if (count<size) { 
      buffer[count]=info;
      count++; 
    }
  } 

  public static void Pop() { 
     count--;
  }  

  public static String Top() { 
      if (count>0) 
	  return buffer[count-1];
      else
        return null;
  }  

  public static void print() { 
    
      for (int i = count-1;i>=0;i--) { 
        System.out.printf(" %s ", buffer[i]); 
    } 
    System.out.println(); 
  } 
  
  
  public static void main(String args[]) {
      Scanner in = new Scanner(System.in);  
      String info = null;
      int pos = -1;
      
      char option = 'a';
      String opt = null;
      init();
      do {
	    System.out.println("Options:");
	    System.out.println(" e: check if the list is empty");
	    System.out.println(" i: insert new element at the beginning");
	    System.out.println(" t: show the last-inserted element");
	    System.out.println(" d: delete the last-inserted element");
	    System.out.println(" p: print list");
          opt = in.next(); option = opt.charAt(0);
          switch (option) {
	    case 'e': 
	      if (isEmpty())
                 System.out.println("The list is empty");
              else
                 System.out.println("The list is not empty");
		break;
	    case 'i': 
              info = readInfo();
              Push(info);
		break;
	    case 'd': 
              Pop();
		break;
	    case 't': 
              info= Top();
              if (info != null)
                 System.out.println(info);
	      break;
	    case 'p': 
              print();
		break;
	    }
	} while (
         option == 'e' || 
         option == 'i' || 
         option == 't' || 
         option == 'd' || 
         option == 'p' 
        );
  }
}  
