import  java.io.*;
import  java.util.Scanner;
import  java.util.*;

class node { 
   String info; 
   node next; 
} 

public class OrderedLinkedList { 

  public static String readInfo () {
    Scanner in = new Scanner(System.in);    
    System.out.print("Insert value: ");
    String info = in.next();
    return info;
  }
 
  public static void init (node lis) {
    lis = null;
  }

  public static boolean isEmpty (node lis) { 
      return (lis == null);
  }
  
  public static int search(node lis, String s) { 
    int pos = 0;
    while (lis != null && s.compareTo(lis.info)>=0) { 
      pos++;
      if (lis.info.equals(s)) 
        return pos; 
      lis = lis.next; 
    } return -1; 
  } 

  public static node insert(node lis, String s) { 
    node p = new node();  
    p.info = s; 
    if (isEmpty(lis) || s.compareTo(lis.info) <= 0) {
      p.next=lis;
      lis = p;
      return lis;
    }
    else {
        node q=lis;
	while(q.next!=null && s.compareTo(q.next.info) > 0) {
	   q=q.next;     
	}
        p.next = q.next;
        q.next=p;
	return lis; 
    }
  } 


  public static node delete(node lis, String s) { 
     node p = new node(); 
     p.next = lis; 
     lis = p; 

     boolean found = false, passed = false; 
     while ((p.next != null) && !found && !passed) { 
       if (p.next.info.equals(s)) { 
         p.next = p.next.next; 
         found = true; 
       } 
       else if (s.compareTo(p.next.info) < 0) {
	   passed=true;
       }
       else p = p.next; 
     } return lis.next; 
  } 
  
  public static void print(node lis) { 
    node p = lis; 
    while (p != null) { 
        System.out.printf(" %s ", p.info); 
      p = p.next;
    } 
    System.out.println(); 
  } 
  

  
  public static void main(String args[]) {
      Scanner in = new Scanner(System.in);  
      node lis= null;
      String info = null;
      int pos = -1;
      
      char option = 'a';
      String opt = null;
      init(lis);
      do {
	    System.out.println("Options:");
	    System.out.println(" e: check if the list is empty");
	    System.out.println(" i: insert new element");
	    System.out.println(" r: delete the first element with info");
	    System.out.println(" s: search an element");
	    System.out.println(" p: print list");
          opt = in.next(); option = opt.charAt(0);
          switch (option) {
	    case 'e': 
	      if (isEmpty(lis))
                 System.out.println("The list is empty");
              else
                 System.out.println("The list is not empty");
		break;
	    case 'i': 
              info = readInfo();
              lis=insert(lis,info);
		break;
	    case 'r': 
              info = readInfo();
              lis= delete(lis,info);
		break;
	    case 's': 
              info = readInfo();
              pos= search(lis,info);
              if (pos==-1)
                 System.out.println("Not found");
              else
                 System.out.printf("Found in the %d-th position\n",pos);
		break;
	    case 'p': 
              print(lis);
		break;
	    }
	} while (
         option == 'e' || 
         option == 'i' || 
         option == 'r' || 
         option == 's' || 
         option == 'p' 
        );
  }
}  
